import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.util.Date;
import javax.imageio.ImageIO;

public class Class90 implements Interface24 {

   Class253 aClass253_889;
   Class253 aClass253_890;
   int anInt891;
   Class161[] aClass161Array892;
   static int anInt893;
   public static Class171 aClass171_894;
   public static int anInt895;


   public int method99(int var1) {
      return 1905910243 * this.anInt891;
   }

   int[] method1783(int var1) {
      int[] var2 = this.method1792(var1, -1016632614);

      for(int var3 = 0; var3 < var2.length; ++var3) {
         if((var2[var3] & 16777215) != 0) {
            var2[var3] |= -16777216;
         } else {
            var2[var3] &= 16777215;
         }
      }

      return var2;
   }

   public boolean method119(int var1, Class557 var2, float var3, int var4, int var5, boolean var6, int var7) {
      boolean var8 = true;
      if(this.aClass161Array892[var1].aBool2000) {
         var8 = this.aClass253_890.method4507(var1, -770462179);
      }

      var8 &= this.aClass253_889.method4507(var1, -951508588);
      return var8;
   }

   int[] method1784(int var1, int var2) {
      int[] var3 = this.method1792(var1, -1534004335);

      for(int var4 = 0; var4 < var3.length; ++var4) {
         if(var2 == 81496576) {
            ;
         }

         if((var3[var4] & 16777215) != 0) {
            if(var2 == 81496576) {
               ;
            }

            var3[var4] |= -16777216;
         } else {
            var3[var4] &= 16777215;
         }
      }

      return var3;
   }

   float[] method1785(int var1) {
      int[] var2 = this.method1792(var1, -1918786607);
      if(null == var2) {
         return null;
      } else {
         int[] var3 = null;
         int var4 = -836426007 * this.aClass161Array892[var1].anInt1989;
         int var6;
         if(this.aClass161Array892[var1].aBool2000) {
            byte[] var5 = this.aClass253_890.method4512(var1, 749605384);
            if(null != var5) {
               try {
                  var3 = this.method1787(var5, (byte)17);

                  for(var6 = 0; var6 < var3.length; ++var6) {
                     var3[var6] &= 4095;
                  }
               } catch (IOException var14) {
                  ;
               }
            }
         }

         if(null == var3) {
            var3 = new int[var4 * var4];
         }

         float[] var15 = new float[4 * var2.length];
         var6 = 0;

         for(int var7 = 0; var7 < var2.length; ++var7) {
            int var8 = var2[var7];
            int var9 = var8 >>> 24;
            int var10 = (var8 & 16711680) >> 16;
            int var11 = (var8 & '\uff00') >> 8;
            int var12 = var8 & 255;
            float var13 = (float)var3[var7] * 31.0F / 4096.0F + 1.0F;
            var15[var6++] = var13 * (float)var10 / 255.0F;
            var15[var6++] = var13 * (float)var11 / 255.0F;
            var15[var6++] = var13 * (float)var12 / 255.0F;
            var15[var6++] = (float)var9 / 255.0F;
         }

         return var15;
      }
   }

   float[] method1786(int var1, byte var2) {
      int[] var3 = this.method1792(var1, -148844098);
      if(null == var3) {
         return null;
      } else {
         int[] var4 = null;
         int var5 = -836426007 * this.aClass161Array892[var1].anInt1989;
         int var7;
         if(this.aClass161Array892[var1].aBool2000) {
            byte[] var6 = this.aClass253_890.method4512(var1, 749605384);
            if(null != var6) {
               try {
                  var4 = this.method1787(var6, (byte)17);

                  for(var7 = 0; var7 < var4.length; ++var7) {
                     var4[var7] &= 4095;
                  }
               } catch (IOException var15) {
                  ;
               }
            }
         }

         if(null == var4) {
            var4 = new int[var5 * var5];
         }

         float[] var16 = new float[4 * var3.length];
         var7 = 0;

         for(int var8 = 0; var8 < var3.length; ++var8) {
            int var9 = var3[var8];
            int var10 = var9 >>> 24;
            int var11 = (var9 & 16711680) >> 16;
            int var12 = (var9 & '\uff00') >> 8;
            int var13 = var9 & 255;
            float var14 = (float)var4[var8] * 31.0F / 4096.0F + 1.0F;
            var16[var7++] = var14 * (float)var11 / 255.0F;
            var16[var7++] = var14 * (float)var12 / 255.0F;
            var16[var7++] = var14 * (float)var13 / 255.0F;
            var16[var7++] = (float)var10 / 255.0F;
         }

         return var16;
      }
   }

   public Class161 method113(int var1, int var2) {
      return this.aClass161Array892[var1];
   }

   public Class90(Class253 var1, Class253 var2, Class253 var3) {
      this.aClass253_889 = var2;
      this.aClass253_890 = var3;
      RS2Buffer var4 = new RS2Buffer(var1.method4547(0, 0, (byte)-81));
      this.anInt891 = var4.readUnsignedShort(-937710807) * -181376053;
      this.aClass161Array892 = new Class161[1905910243 * this.anInt891];

      int var5;
      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(var4.readUnsignedByte(-700559597) == 1) {
            this.aClass161Array892[var5] = new Class161();
         }
      }

      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(this.aClass161Array892[var5] != null) {
            this.aClass161Array892[var5].aBool1994 = var4.readUnsignedByte(-700559597) == 0;
         }
      }

      for(var5 = 0; var5 < 1905910243 * this.anInt891; ++var5) {
         if(this.aClass161Array892[var5] != null) {
            this.aClass161Array892[var5].anInt1989 = Class376.method6551(var4.readUnsignedByte(-700559597), 824874625) * -2122313383;
         }
      }

      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(null != this.aClass161Array892[var5]) {
            this.aClass161Array892[var5].aBool1988 = var4.readUnsignedByte(-700559597) == 1;
         }
      }

      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(null != this.aClass161Array892[var5]) {
            this.aClass161Array892[var5].aByte1991 = var4.readByte(-110447663);
         }
      }

      for(var5 = 0; var5 < 1905910243 * this.anInt891; ++var5) {
         if(this.aClass161Array892[var5] != null) {
            this.aClass161Array892[var5].aByte1990 = var4.readByte(589887269);
         }
      }

      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(null != this.aClass161Array892[var5]) {
            this.aClass161Array892[var5].aByte1986 = var4.readByte(-591292236);
         }
      }

      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(null != this.aClass161Array892[var5]) {
            this.aClass161Array892[var5].aByte1999 = var4.readByte(1584758106);
         }
      }

      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(null != this.aClass161Array892[var5]) {
            this.aClass161Array892[var5].aShort1975 = (short)var4.readUnsignedShort(-937710807);
         }
      }

      for(var5 = 0; var5 < 1905910243 * this.anInt891; ++var5) {
         if(this.aClass161Array892[var5] != null) {
            this.aClass161Array892[var5].aByte1972 = var4.readByte(286272988);
         }
      }

      for(var5 = 0; var5 < 1905910243 * this.anInt891; ++var5) {
         if(null != this.aClass161Array892[var5]) {
            this.aClass161Array892[var5].aByte1993 = var4.readByte(862550246);
         }
      }

      for(var5 = 0; var5 < 1905910243 * this.anInt891; ++var5) {
         if(this.aClass161Array892[var5] != null) {
            this.aClass161Array892[var5].aBool1996 = var4.readUnsignedByte(-700559597) == 1;
         }
      }

      for(var5 = 0; var5 < 1905910243 * this.anInt891; ++var5) {
         if(this.aClass161Array892[var5] != null) {
            this.aClass161Array892[var5].aBool2001 = var4.readUnsignedByte(-700559597) == 1;
         }
      }

      for(var5 = 0; var5 < 1905910243 * this.anInt891; ++var5) {
         if(this.aClass161Array892[var5] != null) {
            this.aClass161Array892[var5].aByte1998 = var4.readByte(1863823644);
         }
      }

      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(this.aClass161Array892[var5] != null) {
            this.aClass161Array892[var5].aBool1984 = var4.readUnsignedByte(-700559597) == 1;
         }
      }

      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(this.aClass161Array892[var5] != null) {
            this.aClass161Array892[var5].aBool1974 = var4.readUnsignedByte(-700559597) == 1;
         }
      }

      for(var5 = 0; var5 < 1905910243 * this.anInt891; ++var5) {
         if(null != this.aClass161Array892[var5]) {
            this.aClass161Array892[var5].aBool2000 = var4.readUnsignedByte(-700559597) == 1;
         }
      }

      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(null != this.aClass161Array892[var5]) {
            this.aClass161Array892[var5].anInt2002 = var4.readUnsignedByte(-700559597) * 1692511487;
         }
      }

      for(var5 = 0; var5 < this.anInt891 * 1905910243; ++var5) {
         if(null != this.aClass161Array892[var5]) {
            this.aClass161Array892[var5].anInt1969 = var4.readInt_(209872811) * -1771312945;
         }
      }

      for(var5 = 0; var5 < 1905910243 * this.anInt891; ++var5) {
         if(this.aClass161Array892[var5] != null) {
            this.aClass161Array892[var5].aClass565_1987 = (Class565)Class79.method1636(Class120.method2330(1751754113), var4.readUnsignedByte(-700559597), (byte)13);
         }
      }

   }

   public void method117(byte var1) {}

   public int[] method115(int var1, float var2, int var3, int var4, boolean var5, short var6) {
      return this.method1792(var1, 64157064);
   }

   public float[] method116(int var1, float var2, int var3, int var4, boolean var5, byte var6) {
      return this.method1786(var1, (byte)0);
   }

   public float[] method131(int var1, float var2, int var3, int var4, boolean var5) {
      return this.method1786(var1, (byte)0);
   }

   int[] method1787(byte[] var1, byte var2) throws IOException {
      BufferedImage var3 = ImageIO.read(new ByteArrayInputStream(var1));
      if(var3.getType() != 10 && var3.getType() != 0) {
         return var3.getRGB(0, 0, var3.getWidth(), var3.getHeight(), (int[])null, 0, var3.getWidth());
      } else {
         Object var4 = null;
         int[] var8 = var3.getRaster().getPixels(0, 0, var3.getWidth(), var3.getHeight(), (int[])var4);
         int[] var5 = new int[var3.getWidth() * var3.getHeight()];
         int var6;
         if(var3.getType() == 10) {
            for(var6 = 0; var6 < var5.length; ++var6) {
               var5[var6] = (var8[var6] << 16) + (var8[var6] << 8) + var8[var6] + -16777216;
            }
         } else {
            for(var6 = 0; var6 < var5.length; ++var6) {
               int var7 = 2 * var6;
               var5[var6] = (var8[var7 + 1] << 24) + var8[var7] + (var8[var7] << 16) + (var8[var7] << 8);
            }
         }

         return var5;
      }
   }

   public int method83() {
      return 1905910243 * this.anInt891;
   }

   public boolean method130(int var1, Class557 var2, float var3, int var4, int var5, boolean var6) {
      boolean var7 = true;
      if(this.aClass161Array892[var1].aBool2000) {
         var7 = this.aClass253_890.method4507(var1, -454058545);
      }

      var7 &= this.aClass253_889.method4507(var1, 284817767);
      return var7;
   }

   public boolean method120(int var1, Class557 var2, float var3, int var4, int var5, boolean var6) {
      boolean var7 = true;
      if(this.aClass161Array892[var1].aBool2000) {
         var7 = this.aClass253_890.method4507(var1, -2060824115);
      }

      var7 &= this.aClass253_889.method4507(var1, -750777541);
      return var7;
   }

   public boolean method121(int var1, Class557 var2, float var3, int var4, int var5, boolean var6) {
      boolean var7 = true;
      if(this.aClass161Array892[var1].aBool2000) {
         var7 = this.aClass253_890.method4507(var1, 1079193038);
      }

      var7 &= this.aClass253_889.method4507(var1, 1599342401);
      return var7;
   }

   int[] method1788(int var1) {
      int[] var2 = this.method1792(var1, -556464210);

      for(int var3 = 0; var3 < var2.length; ++var3) {
         if((var2[var3] & 16777215) != 0) {
            var2[var3] |= -16777216;
         } else {
            var2[var3] &= 16777215;
         }
      }

      return var2;
   }

   int[] method1789(int var1) {
      byte[] var2 = this.aClass253_889.method4512(var1, 749605384);
      if(var2 == null) {
         return null;
      } else {
         try {
            int[] var3 = this.method1787(var2, (byte)17);
            return var3;
         } catch (IOException var4) {
            return null;
         }
      }
   }

   public boolean method118(int var1, Class557 var2, float var3, int var4, int var5, boolean var6) {
      boolean var7 = true;
      if(this.aClass161Array892[var1].aBool2000) {
         var7 = this.aClass253_890.method4507(var1, -1087099870);
      }

      var7 &= this.aClass253_889.method4507(var1, 1171694057);
      return var7;
   }

   int[] method1790(int var1) {
      byte[] var2 = this.aClass253_889.method4512(var1, 749605384);
      if(var2 == null) {
         return null;
      } else {
         try {
            int[] var3 = this.method1787(var2, (byte)17);
            return var3;
         } catch (IOException var4) {
            return null;
         }
      }
   }

   int[] method1791(int var1) {
      int[] var2 = this.method1792(var1, -616958889);

      for(int var3 = 0; var3 < var2.length; ++var3) {
         if((var2[var3] & 16777215) != 0) {
            var2[var3] |= -16777216;
         } else {
            var2[var3] &= 16777215;
         }
      }

      return var2;
   }

   public Class161 method123(int var1) {
      return this.aClass161Array892[var1];
   }

   int[] method1792(int var1, int var2) {
      byte[] var3 = this.aClass253_889.method4512(var1, 749605384);
      if(var3 == null) {
         return null;
      } else {
         try {
            int[] var4 = this.method1787(var3, (byte)17);
            return var4;
         } catch (IOException var5) {
            return null;
         }
      }
   }

   float[] method1793(int var1) {
      int[] var2 = this.method1792(var1, 1165707054);
      if(null == var2) {
         return null;
      } else {
         int[] var3 = null;
         int var4 = -836426007 * this.aClass161Array892[var1].anInt1989;
         int var6;
         if(this.aClass161Array892[var1].aBool2000) {
            byte[] var5 = this.aClass253_890.method4512(var1, 749605384);
            if(null != var5) {
               try {
                  var3 = this.method1787(var5, (byte)17);

                  for(var6 = 0; var6 < var3.length; ++var6) {
                     var3[var6] &= 4095;
                  }
               } catch (IOException var14) {
                  ;
               }
            }
         }

         if(null == var3) {
            var3 = new int[var4 * var4];
         }

         float[] var15 = new float[4 * var2.length];
         var6 = 0;

         for(int var7 = 0; var7 < var2.length; ++var7) {
            int var8 = var2[var7];
            int var9 = var8 >>> 24;
            int var10 = (var8 & 16711680) >> 16;
            int var11 = (var8 & '\uff00') >> 8;
            int var12 = var8 & 255;
            float var13 = (float)var3[var7] * 31.0F / 4096.0F + 1.0F;
            var15[var6++] = var13 * (float)var10 / 255.0F;
            var15[var6++] = var13 * (float)var11 / 255.0F;
            var15[var6++] = var13 * (float)var12 / 255.0F;
            var15[var6++] = (float)var9 / 255.0F;
         }

         return var15;
      }
   }

   public Class161 method122(int var1) {
      return this.aClass161Array892[var1];
   }

   public int[] method127(int var1, float var2, int var3, int var4, boolean var5, int var6) {
      return this.method1784(var1, 1570359659);
   }

   public void method124() {}

   public int[] method125(int var1, float var2, int var3, int var4, boolean var5) {
      return this.method1784(var1, 1004080226);
   }

   public int[] method112(int var1, float var2, int var3, int var4, boolean var5) {
      return this.method1784(var1, 1054467340);
   }

   public int[] method126(int var1, float var2, int var3, int var4, boolean var5) {
      return this.method1784(var1, 1776343079);
   }

   public int[] method128(int var1, float var2, int var3, int var4, boolean var5) {
      return this.method1792(var1, 885225951);
   }

   public float[] method129(int var1, float var2, int var3, int var4, boolean var5) {
      return this.method1786(var1, (byte)0);
   }

   public float[] method114(int var1, float var2, int var3, int var4, boolean var5) {
      return this.method1786(var1, (byte)0);
   }

   int[] method1794(int var1) {
      int[] var2 = this.method1792(var1, -1579490107);

      for(int var3 = 0; var3 < var2.length; ++var3) {
         if((var2[var3] & 16777215) != 0) {
            var2[var3] |= -16777216;
         } else {
            var2[var3] &= 16777215;
         }
      }

      return var2;
   }

   int[] method1795(byte[] var1) throws IOException {
      BufferedImage var2 = ImageIO.read(new ByteArrayInputStream(var1));
      if(var2.getType() != 10 && var2.getType() != 0) {
         return var2.getRGB(0, 0, var2.getWidth(), var2.getHeight(), (int[])null, 0, var2.getWidth());
      } else {
         Object var3 = null;
         int[] var7 = var2.getRaster().getPixels(0, 0, var2.getWidth(), var2.getHeight(), (int[])var3);
         int[] var4 = new int[var2.getWidth() * var2.getHeight()];
         int var5;
         if(var2.getType() == 10) {
            for(var5 = 0; var5 < var4.length; ++var5) {
               var4[var5] = (var7[var5] << 16) + (var7[var5] << 8) + var7[var5] + -16777216;
            }
         } else {
            for(var5 = 0; var5 < var4.length; ++var5) {
               int var6 = 2 * var5;
               var4[var5] = (var7[var6 + 1] << 24) + var7[var6] + (var7[var6] << 16) + (var7[var6] << 8);
            }
         }

         return var4;
      }
   }

   int[] method1796(byte[] var1) throws IOException {
      BufferedImage var2 = ImageIO.read(new ByteArrayInputStream(var1));
      if(var2.getType() != 10 && var2.getType() != 0) {
         return var2.getRGB(0, 0, var2.getWidth(), var2.getHeight(), (int[])null, 0, var2.getWidth());
      } else {
         Object var3 = null;
         int[] var7 = var2.getRaster().getPixels(0, 0, var2.getWidth(), var2.getHeight(), (int[])var3);
         int[] var4 = new int[var2.getWidth() * var2.getHeight()];
         int var5;
         if(var2.getType() == 10) {
            for(var5 = 0; var5 < var4.length; ++var5) {
               var4[var5] = (var7[var5] << 16) + (var7[var5] << 8) + var7[var5] + -16777216;
            }
         } else {
            for(var5 = 0; var5 < var4.length; ++var5) {
               int var6 = 2 * var5;
               var4[var5] = (var7[var6 + 1] << 24) + var7[var6] + (var7[var6] << 16) + (var7[var6] << 8);
            }
         }

         return var4;
      }
   }

   int[] method1797(byte[] var1) throws IOException {
      BufferedImage var2 = ImageIO.read(new ByteArrayInputStream(var1));
      if(var2.getType() != 10 && var2.getType() != 0) {
         return var2.getRGB(0, 0, var2.getWidth(), var2.getHeight(), (int[])null, 0, var2.getWidth());
      } else {
         Object var3 = null;
         int[] var7 = var2.getRaster().getPixels(0, 0, var2.getWidth(), var2.getHeight(), (int[])var3);
         int[] var4 = new int[var2.getWidth() * var2.getHeight()];
         int var5;
         if(var2.getType() == 10) {
            for(var5 = 0; var5 < var4.length; ++var5) {
               var4[var5] = (var7[var5] << 16) + (var7[var5] << 8) + var7[var5] + -16777216;
            }
         } else {
            for(var5 = 0; var5 < var4.length; ++var5) {
               int var6 = 2 * var5;
               var4[var5] = (var7[var6 + 1] << 24) + var7[var6] + (var7[var6] << 16) + (var7[var6] << 8);
            }
         }

         return var4;
      }
   }

   int[] method1798(byte[] var1) throws IOException {
      BufferedImage var2 = ImageIO.read(new ByteArrayInputStream(var1));
      if(var2.getType() != 10 && var2.getType() != 0) {
         return var2.getRGB(0, 0, var2.getWidth(), var2.getHeight(), (int[])null, 0, var2.getWidth());
      } else {
         Object var3 = null;
         int[] var7 = var2.getRaster().getPixels(0, 0, var2.getWidth(), var2.getHeight(), (int[])var3);
         int[] var4 = new int[var2.getWidth() * var2.getHeight()];
         int var5;
         if(var2.getType() == 10) {
            for(var5 = 0; var5 < var4.length; ++var5) {
               var4[var5] = (var7[var5] << 16) + (var7[var5] << 8) + var7[var5] + -16777216;
            }
         } else {
            for(var5 = 0; var5 < var4.length; ++var5) {
               int var6 = 2 * var5;
               var4[var5] = (var7[var6 + 1] << 24) + var7[var6] + (var7[var6] << 16) + (var7[var6] << 8);
            }
         }

         return var4;
      }
   }

   static final void method1799(Class508 var0, byte var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class124 var5 = Class500.method8362(var4, var3, (byte)60);
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var5 == null?-1:var5.anInt1406 * 34646887;
   }

   static final void method1800(Class508 var0, int var1) {
      if(client.aByteArray7679 != null) {
         if(var1 <= 1792798910) {
            ;
         }

         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 1;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
      }

   }

   static void method1801(long var0) {
      Class409.aCalendar5008.setTime(new Date(var0));
   }

   public static void method1802(int var0, short var1) {
      Class225_Sub14_Sub2 var2 = Class49.method1193(21, (long)var0);
      var2.method15501(1792608004);
   }

   public static void method1803(Class253 var0, Class253 var1, Class253 var2, Class253 var3, byte var4) {
      Class448.aClass253_5594 = var0;
      Class510.aClass253_6039 = var1;
      Class452.aClass253_5661 = var2;
      Class18.aClass121Array188 = new Class121[Class448.aClass253_5594.method4515(-2059610932)];
      Class51.aBoolArray516 = new boolean[Class448.aClass253_5594.method4515(-1114938644)];
   }

   static int method1804(int var0) {
      int var1;
      if(Class500.aClass225_Sub6_5953.aClass463_Sub5_8471.method12826((byte)2) == 0) {
         for(var1 = 0; var1 < client.anInt7678 * 398357655; ++var1) {
            if(client.anInterface56Array7633[var1].method291((byte)97) == 115 || client.anInterface56Array7633[var1].method291((byte)13) == 83) {
               Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub5_8471, 1, 1738968371);
               client.aBool7641 = true;
               Class363.method6467(Class453.aClass453_5668, 567609405);
               break;
            }
         }
      }

      if(Class327.aClass327_4039 == Class441.aClass327_5463) {
         if(null == Class365.aClass338_4604) {
            Class365.aClass338_4604 = new Class338(Class338.aClass247_4364, Class17.aClass257_183, Class190.JS5_PUBLIC_KEY, Class190.JS5_MODULUS);
         }

         if(!Class365.aClass338_4604.method6219(1597683299)) {
            return 0;
         }

         Class331_Sub1.method14296(0, (String)null, true, -1736666753);
         Class225_Sub14_Sub8_Sub2.aBool10648 = !Class489.method8192((byte)34);
         Class65.aClass253_627 = Class434.method7334(Class225_Sub14_Sub8_Sub2.aBool10648?Class109.aClass109_1080:Class109.aClass109_1058, false, 1, true, (byte)-59);
         Class313.aClass253_3959 = Class434.method7334(Class109.aClass109_1078, false, 1, true, (byte)-22);
         Class154.aClass253_1934 = Class434.method7334(Class109.aClass109_1060, false, 1, true, (byte)-42);
      }

      int var2;
      boolean var8;
      if(Class327.aClass327_4043 == Class441.aClass327_5463) {
         var8 = Class313.aClass253_3959.method4509((byte)40);
         var2 = Class1.aClass250_Sub1Array13[Class109.aClass109_1078.method2179((short)6608)].method14320(2012617183);
         var2 += Class1.aClass250_Sub1Array13[Class225_Sub14_Sub8_Sub2.aBool10648?Class109.aClass109_1080.method2179((short)-9861):Class109.aClass109_1058.method2179((short)-32762)].method14320(2027920429);
         var2 += Class1.aClass250_Sub1Array13[Class109.aClass109_1060.method2179((short)-13627)].method14320(1980758109);
         var2 += var8?100:Class313.aClass253_3959.method4511(-1100986466);
         if(400 != var2) {
            return var2 / 4;
         }

         Class313.anInt3963 = Class65.aClass253_627.method4500(1984527497) * -672042043;
         Class313.anInt3964 = Class313.aClass253_3959.method4500(164836851) * -241066587;
         Class327.method5983(Class65.aClass253_627, 1138891351);
         int var3 = Class500.aClass225_Sub6_5953.aClass463_Sub24_8496.method13001((byte)64);
         Class461_Sub1_Sub1.aClass394_10377 = new Class394(client.aClass481_7742, Class498.aClass470_5944, Class313.aClass253_3959);
         Class385[] var4 = Class461_Sub1_Sub1.aClass394_10377.method6734(var3, (byte)104);
         if(0 == var4.length) {
            var4 = Class461_Sub1_Sub1.aClass394_10377.method6734(0, (byte)11);
         }

         Class55 var5 = new Class55(Class65.aClass253_627, Class154.aClass253_1934);
         if(var4.length > 0) {
            Class313.anInterface32Array3960 = new Interface32[var4.length];

            for(int var6 = 0; var6 < Class313.anInterface32Array3960.length; ++var6) {
               Class313.anInterface32Array3960[var6] = new Class311(Class461_Sub1_Sub1.aClass394_10377.method6738(931481027 * var4[var6].anInt4809, (byte)-30), var4[var6].anInt4808 * -285836673, 15085279 * var4[var6].anInt4807, var5);
            }
         }
      }

      if(Class327.aClass327_4041 == Class441.aClass327_5463) {
         Class472.aClass304_5793 = new Class304(Class65.aClass253_627, Class154.aClass253_1934, Class251_Sub1.method14263(1684286567));
      }

      if(Class327.aClass327_4042 == Class441.aClass327_5463) {
         var1 = Class472.aClass304_5793.method5422(1873278244);
         var2 = Class472.aClass304_5793.method5399(1560172477);
         if(var1 < var2) {
            return var1 * 100 / var2;
         }
      }

      if(Class441.aClass327_5463 == Class327.aClass327_4040) {
         if(null != Class313.anInterface32Array3960 && Class313.anInterface32Array3960.length > 0) {
            if(Class313.anInterface32Array3960[0].method172(1696771601) < 100) {
               return 0;
            }

            if(Class313.anInterface32Array3960.length > 1 && Class461_Sub1_Sub1.aClass394_10377.method6737(-1676794478) && Class313.anInterface32Array3960[1].method172(-477069463) < 100) {
               return 0;
            }
         }

         Class472.aClass304_5793.method5408(client.anInterface31_7691, -1734746989);
         Class538.method11324(Class428.aClass545_5383, 770220789);
         Class332.method6157(17, -538966591);
      }

      if(Class441.aClass327_5463 == Class327.aClass327_4056) {
         Class485.aClass253_5890 = Class434.method7334(Class109.aClass109_1055, false, 1, false, (byte)-42);
         Class169_Sub1.aClass253_9937 = Class434.method7334(Class109.aClass109_1077, false, 1, false, (byte)-34);
         Class332.aClass253_4181 = Class434.method7334(Class109.aClass109_1067, false, 1, false, (byte)-118);
         Class75.aClass253_699 = Class434.method7334(Class109.aClass109_1049, false, 1, true, (byte)-39);
         Class87.aClass253_875 = Class434.method7334(Class109.aClass109_1048, false, 1, true, (byte)-46);
         Class176.aClass253_2148 = Class434.method7334(Class109.aClass109_1069, false, 1, false, (byte)-122);
         Class246.aClass253_2943 = Class434.method7334(Class109.aClass109_1066, true, 1, false, (byte)-75);
         Class243.aClass253_2928 = Class434.method7334(Class109.aClass109_1053, true, 1, false, (byte)-20);
         Class532.aClass253_7223 = Class434.method7334(Class109.aClass109_1054, false, 1, false, (byte)-12);
         Class182_Sub2.aClass253_9001 = Class434.method7334(Class109.aClass109_1056, true, 1, false, (byte)-128);
         Class515_Sub1_Sub2_Sub2.aClass253_10840 = Class434.method7334(Class109.aClass109_1059, true, 1, false, (byte)-39);
         Class419.aClass253_5331 = Class434.method7334(Class109.aClass109_1047, false, 1, false, (byte)-44);
         Class333.aClass253_4199 = Class434.method7334(Class109.aClass109_1076, false, 1, false, (byte)0);
         Class473.aClass253_5798 = Class434.method7334(Class109.aClass109_1052, false, 1, true, (byte)-87);
         Class118_Sub19.aClass253_9010 = Class434.method7334(Class109.aClass109_1061, false, 1, false, (byte)-9);
         Class440.aClass253_5456 = Class434.method7334(Class109.aClass109_1062, false, 1, false, (byte)-22);
         Class50.aClass253_511 = Class434.method7334(Class109.aClass109_1063, false, 1, true, (byte)-20);
         Class577.aClass253_7614 = Class434.method7334(Class109.aClass109_1064, false, 1, true, (byte)-32);
         Class105.aClass253_1032 = Class434.method7334(Class109.aClass109_1065, false, 1, true, (byte)-70);
         Class511.aClass253_6043 = Class434.method7334(Class109.aClass109_1079, false, 1, true, (byte)-91);
         Class429.aClass253_5387 = Class434.method7334(Class109.aClass109_1083, false, 1, true, (byte)-36);
         Class413.aClass253_5100 = Class434.method7334(Class109.aClass109_1068, false, 1, true, (byte)-49);
         Class231.aClass253_2672 = Class434.method7334(Class109.aClass109_1074, true, 1, false, (byte)-38);
         Class213.aClass253_2498 = Class434.method7334(Class109.aClass109_1070, false, 1, true, (byte)-89);
         Class68_Sub1.aClass253_8076 = Class434.method7334(Class109.aClass109_1050, false, 1, true, (byte)-55);
         Class73.aClass253_694 = Class434.method7334(Class109.aClass109_1072, true, 1, true, (byte)-35);
         Class304.aClass253_3875 = Class434.method7334(Class109.aClass109_1073, false, 1, true, (byte)-59);
         Class545_Sub3.aClass253_9823 = Class434.method7334(Class109.aClass109_1071, true, 1, true, (byte)-16);
         Class118_Sub20.aClass253_9102 = Class434.method7334(Class109.aClass109_1075, false, 1, true, (byte)-83);
         Class187.aClass253_2251 = Class434.method7334(Class109.aClass109_1081, true, 1, false, (byte)-33);
         Class251_Sub2.aClass253_8928 = Class434.method7334(Class109.aClass109_1057, true, 1, false, (byte)-103);
         Class484.aClass253_5865 = Class434.method7334(Class109.aClass109_1051, true, 1, true, (byte)-44);
         Class389.aClass253_4848 = Class434.method7334(Class109.aClass109_1082, true, 2, false, (byte)-101);
      }

      if(Class327.aClass327_4051 == Class441.aClass327_5463) {
         var1 = 0;

         for(var2 = 0; var2 < Class1.aClass250_Sub1Array13.length; ++var2) {
            if(null != Class1.aClass250_Sub1Array13[var2]) {
               var1 += Class1.aClass250_Sub1Array13[var2].method14320(1902033275) * Class313.anIntArray3961[var2] / 100;
            }
         }

         if(100 != var1) {
            if(Class313.anInt3966 * 784294245 < 0) {
               Class313.anInt3966 = -1556027283 * var1;
            }

            return (var1 - Class313.anInt3966 * 784294245) * 100 / (100 - Class313.anInt3966 * 784294245);
         }

         Class251.method4489(Class485.aClass253_5890, (short)-492);
         Class472.aClass304_5793 = new Class304(Class485.aClass253_5890, Class154.aClass253_1934, Class251_Sub1.method14263(-1125241958));
      }

      if(Class441.aClass327_5463 == Class327.aClass327_4046) {
         byte[] var9 = Class545_Sub3.aClass253_9823.method4512(-1281620235 * Class537.aClass537_7296.anInt7300, 749605384);
         if(var9 == null) {
            return 0;
         }

         Class99.method1910(var9, 2108340803);
         Class358.method6426(1521950346);
         Class332.method6157(5, 375390994);
      }

      if(Class441.aClass327_5463 == Class327.aClass327_4047 && null == Class218.aClass216_2572) {
         Class218.aClass216_2572 = new Class216(Class251_Sub2.aClass253_8928);
         Class237.method4146(Class218.aClass216_2572, (byte)-30);
      }

      if(Class441.aClass327_5463 == Class327.aClass327_4048) {
         var1 = Class508.method10787((byte)44);
         if(var1 < 100) {
            return var1;
         }

         Class28.method842(Class545_Sub3.aClass253_9823.method4512(Class537.aClass537_7293.anInt7300 * -1281620235, 749605384), 2136697272);
         Class304.aClass535_3876 = new Class535(Class545_Sub3.aClass253_9823);
         Class33.aShortArrayArray382 = Class304.aClass535_3876.aShortArrayArray7275;
         Class102.aShortArrayArrayArray1007 = Class304.aClass535_3876.aShortArrayArrayArray7276;
         if(1507559517 * Class304.aClass535_3876.anInt7281 != -1 && -1 != 827830903 * Class304.aClass535_3876.anInt7279) {
            client.anInt7796 = 1471975919 * Class304.aClass535_3876.anInt7281;
            client.anInt7797 = Class304.aClass535_3876.anInt7279 * -1385036431;
         }

         Class277.aClass524_3221 = new Class524(Class545_Sub3.aClass253_9823);
         Class477.aClass526_5839 = new Class526(Class545_Sub3.aClass253_9823);
         Class118.aClass520_1194 = new Class520(Class545_Sub3.aClass253_9823);
         Class411.aClass531_5093 = new Class531(Class545_Sub3.aClass253_9823);
      }

      if(Class441.aClass327_5463 == Class327.aClass327_4049) {
         if(-1 != 363393391 * Class304.aClass535_3876.anInt7271 && !Class532.aClass253_7223.method4506(363393391 * Class304.aClass535_3876.anInt7271, 0, (byte)-35)) {
            return 99;
         }

         Class448.anInterface24_5593 = new Class90(Class73.aClass253_694, Class182_Sub2.aClass253_9001, Class515_Sub1_Sub2_Sub2.aClass253_10840);
         Class30.aClass389_367 = new Class389(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699);
         Class356_Sub3.aClass566_8993 = new Class566(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699, Class277.aClass524_3221);
         Class556.aClass413_7469 = new Class413(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699, Class485.aClass253_5890);
         Class470.aClass429_5785 = new Class429(client.aClass481_7742, Class498.aClass470_5944, Class577.aClass253_7614);
         Class356_Sub2.aClass509_8914 = new Class509(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699);
         Class481.aClass464_5860 = new Class464(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699);
         Class574.aClass558_7602 = new Class558(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699, Class485.aClass253_5890);
         Class304.aClass575_3877 = new Class575(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699, Class485.aClass253_5890);
         Class427.aClass38_5375 = new Class38(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699, Class532.aClass253_7223);
         Class394.aClass387_4875 = new Class387(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699);
         Class118_Sub20.aClass407_9103 = new Class407(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699);
         Class450.aClass448_5642 = new Class448(client.aClass481_7742, Class498.aClass470_5944, true, Class50.aClass253_511, Class532.aClass253_7223);
         client.aClass279_7807.method4922(Class450.aClass448_5642, -481082517);
         Class523.aClass267_7146.method4734(new Class448(client.aClass481_7742, Class498.aClass470_5944, true, Class50.aClass253_511, Class532.aClass253_7223), 1434441621);
         Class225_Sub21_Sub2.aClass555_10072 = new Class555(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699, Class485.aClass253_5890);
         Class313.aClass424_3968 = new Class424(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699, Class485.aClass253_5890);
         Class40.aClass388_439 = new Class388(client.aClass481_7742, Class498.aClass470_5944, true, Class105.aClass253_1032, Class532.aClass253_7223);
         Class277.aClass410_3220 = new Class410(client.aClass481_7742, Class498.aClass470_5944, true, Class30.aClass389_367, Class511.aClass253_6043, Class532.aClass253_7223);
         Class453.aClass511_5677 = new Class511(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699, true);
         Class435.aClass473_5434 = new Class473(client.aClass481_7742, Class498.aClass470_5944, Class429.aClass253_5387, Class169_Sub1.aClass253_9937, Class332.aClass253_4181);
         Class232.aClass570_2673 = new Class570(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699);
         Class447.aClass39_5578 = new Class39(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699);
         Class515_Sub1_Sub4_Sub4.aClass498_10793 = new Class498(client.aClass481_7742, Class498.aClass470_5944, Class413.aClass253_5100, Class532.aClass253_7223);
         Class463_Sub13.aClass414_8012 = new Class414(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699, true);
         client.aClass182_Sub1_Sub1_7692 = new Class182_Sub1_Sub1(client.aClass481_7742, Class251.aClass251_2982, Class498.aClass470_5944, Class75.aClass253_699);
         Class471.aClass182_Sub1_Sub2_5790 = new Class182_Sub1_Sub2(client.aClass481_7742, Class251.aClass251_2983, Class498.aClass470_5944, Class75.aClass253_699);
         Class225_Sub14_Sub17.aClass182_Sub1_Sub1_10576 = new Class182_Sub1_Sub1(client.aClass481_7742, Class251.aClass251_2973, Class498.aClass470_5944, Class75.aClass253_699);
         Class104.aClass182_Sub1_Sub1_1030 = new Class182_Sub1_Sub1(client.aClass481_7742, Class251.aClass251_2978, Class498.aClass470_5944, Class75.aClass253_699);
         Class536.aClass182_Sub1_Sub1_7290 = new Class182_Sub1_Sub1(client.aClass481_7742, Class251.aClass251_2979, Class498.aClass470_5944, Class75.aClass253_699);
         Class389.aMap4847 = Class66.method1426(new Class182_Sub1[]{client.aClass182_Sub1_Sub1_7692, Class471.aClass182_Sub1_Sub2_5790, Class225_Sub14_Sub17.aClass182_Sub1_Sub1_10576, Class104.aClass182_Sub1_Sub1_1030, Class536.aClass182_Sub1_Sub1_7290}, 995548018);
         Class451.aClass182_Sub2_5648 = new Class182_Sub2(client.aClass481_7742, Class498.aClass470_5944, Class75.aClass253_699, Class389.aMap4847);
         Class485.anInterface13_5891 = new Class323();
         method1803(Class87.aClass253_875, Class532.aClass253_7223, Class485.aClass253_5890, Class154.aClass253_1934, (byte)9);
         Class310.method5543(Class118_Sub20.aClass253_9102, 1788500114);
         Class304.aClass243_3879 = new Class243(Class498.aClass470_5944, Class213.aClass253_2498, Class68_Sub1.aClass253_8076);
         Class255.aClass434_3029 = new Class434(Class498.aClass470_5944, Class213.aClass253_2498, Class68_Sub1.aClass253_8076, new Class358());
         Class118_Sub1.aClass175_8204 = new Class175(Class471.aClass182_Sub1_Sub2_5790, Class451.aClass182_Sub2_5648, Class477.aClass526_5839.method11082((byte)9));
         Class203.method3454(1229361188);
         Class503.method8406(Class435.aClass473_5434, (byte)94);
         Class225_Sub9.method13558(Class304.aClass253_3875, (byte)88);
         Class461.method7785(Class532.aClass253_7223, Class448.anInterface24_5593, 2104215717);
         Class41 var11 = new Class41(Class419.aClass253_5331.method4573("huffman", "", (byte)-53));
         Class578.method12230(var11, -381658917);
         Class256.aClass290_3033 = Class545_Sub3.method15397(1217679631);
         Class553.aClass225_Sub5_7436 = new Class225_Sub5(true);
      }

      if(Class327.aClass327_4055 == Class441.aClass327_5463) {
         var1 = Class515_Sub1_Sub3_Sub1.method16623(Class485.aClass253_5890, 1119639192) + Class472.aClass304_5793.method5398(true, 1795620712);
         var2 = Class454.method7597(1399472135) + Class472.aClass304_5793.method5399(977445996);
         if(var1 < var2) {
            return 100 * var1 / var2;
         }
      }

      if(Class327.aClass327_4044 == Class441.aClass327_5463) {
         Class215.method3662(Class231.aClass253_2672, Class356_Sub2.aClass509_8914, Class481.aClass464_5860, client.aClass279_7807.method5044(-1874078493), Class225_Sub21_Sub2.aClass555_10072, Class313.aClass424_3968, Class118_Sub1.aClass175_8204, Class118_Sub1.aClass175_8204);
      }

      if(Class441.aClass327_5463 == Class327.aClass327_4045) {
         Class498.aClass167_Sub1_5945 = new Class167_Sub1(client.aClass182_Sub1_Sub1_7692);
         Class300.method5378(-2130113528);
         Class246.aClass253_2943.method4516(false, true, 1713282249);
         Class243.aClass253_2928.method4516(true, true, 1559035844);
         Class485.aClass253_5890.method4516(true, true, 1701361929);
         Class154.aClass253_1934.method4516(true, true, 2050514533);
         Class419.aClass253_5331.method4516(true, true, 1904237155);
         client.aBool7666 = true;
      }

      if(Class327.aClass327_4053 == Class441.aClass327_5463) {
         if(!Class485.method8143(-480228727 * Class304.aClass535_3876.anInt7277, (int[])null, -2124777659)) {
            return 0;
         }

         var8 = true;

         for(var2 = 0; var2 < Class18.aClass121Array188[Class304.aClass535_3876.anInt7277 * -480228727].aClass124Array1207.length; ++var2) {
            Class124 var10 = Class18.aClass121Array188[-480228727 * Class304.aClass535_3876.anInt7277].aClass124Array1207[var2];
            if(var10.anInt1370 * 258921611 == 5 && 757824707 * var10.anInt1390 != -1 && !Class485.aClass253_5890.method4506(var10.anInt1390 * 757824707, 0, (byte)68)) {
               var8 = false;
            }
         }

         if(!var8) {
            return 0;
         }
      }

      if(Class441.aClass327_5463 == Class327.aClass327_4054) {
         Class103.method2109(true, (byte)-108);
      }

      if(Class441.aClass327_5463 == Class327.aClass327_4052) {
         Class299.aClass310_3668.method5513(1877329183);

         try {
            Class407.aThread5003.join();
         } catch (InterruptedException var7) {
            return 0;
         }

         Class299.aClass310_3668 = null;
         Class407.aThread5003 = null;
         Class65.aClass253_627 = null;
         Class313.aClass253_3959 = null;
         Class461_Sub1_Sub1.aClass394_10377 = null;
         Class313.anInterface32Array3960 = null;
         Class80.method1646(1317368948);
         client.aBool7640 = Class500.aClass225_Sub6_5953.aClass463_Sub5_8471.method12826((byte)2) == 1;
         Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub5_8471, 1, 126798485);
         if(client.aBool7640) {
            Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub15_8479, 0, 1819083282);
         } else if(Class500.aClass225_Sub6_5953.aClass463_Sub15_8479.aBool8018 && 1889023163 * Class553.aClass225_Sub5_7436.anInt8421 < 512 && 1889023163 * Class553.aClass225_Sub5_7436.anInt8421 != 0) {
            Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub15_8479, 0, -189670149);
         }

         Class7.method605(-1358477367);
         if(client.aBool7640) {
            Class62_Sub2.method13095(0, false, 1565166678);
            if(!client.aBool7641) {
               Class363.method6467(Class453.aClass453_5671, 567609405);
            }
         } else {
            Class62_Sub2.method13095(Class500.aClass225_Sub6_5953.aClass463_Sub15_8479.method12922((byte)-14), false, 1565166678);
            if(Class500.aClass225_Sub6_5953.aClass463_Sub15_8479.method12922((byte)-24) == 0) {
               Class363.method6467(Class453.aClass453_5672, 567609405);
            }
         }

         Class298.method5373(Class500.aClass225_Sub6_5953.aClass463_Sub17_8491.method12946((byte)37), -1, -1, false, -799119383);
         Class472.aClass304_5793.method5408(client.anInterface31_7691, -1734746989);
         Class538.method11324(Class428.aClass545_5383, 927362005);
         Class220.method3784(Class428.aClass545_5383, Class485.aClass253_5890, (byte)-6);
         Class8.method656(Class181.aClass171Array2198, 1460118272);
      }

      return Class246.method4389(75379092);
   }
}
